#### D.15.5.19 pdivisorplus

Procedure from library `divisors.lib` (see divisors_lib).

Usage:
  pdivisorplus(A ,B); A + B; A = pdivisor, B = pdivisor.

Assume:
  A and B are polyhedral divisors on X.

Return:
  a pdivisor on X

Theory:
  The procedure will add the polyhedral formal sums by doing Minkowski sums.

Example:

    LIB "divisors.lib";
    LIB("polymake.so");
    ring r=31991,(x,y,z),dp;
    ideal I = y^2*z - x*(x-z)*(x+3*z);
    qring Q = std(I);
    divisor A = makeDivisor(ideal(x,z),ideal(1));
    divisor B = makeDivisor(ideal(x,y),ideal(1));
    intmat M[4][4]= 1,4,0,0,
    1,0,3,0,
    0,0,0,2,
    1,1,1,1;
    polytope PP = polytopeViaPoints(M);
    pdivisor pD = makePDivisor(list(list(PP,A),list(PP,B)));
    pdivisorplus(pD,pD);

User manual for Singular version 4-0-3, 2016, generated by texi2html.